## sms-perl 0.5.2

=== Makefile ===
build:

install:
	cp -r usr ${DESTDIR}/
	mkdir -p ${DESTDIR}/usr/share/man/man3
	pod2man usr/lib/perl5/noris/SMS.pm --section=3 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man3/noris::SMS.3
	pod2man usr/lib/perl5/noris/Encode/OpenITGSM0338.pm --section=3 | iconv -f latin1 -t utf8 > ${DESTDIR}/usr/share/man/man3/noris::Encode::OpenITGSM0338.3

clean:
	rm -f *-stamp

=== debian/changelog ===
sms-perl (0.5.2) lenny; urgency=low

  * #10024078: Tippfehler korrigiert

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 29 Mar 2010 15:24:39 +0200

sms-perl (0.5.1) lenny; urgency=low

  * #10024078: Anpassungen mail2sms und noris::SMS

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 26 Mar 2010 11:16:29 +0100

sms-perl (0.5.0) lenny; urgency=low

  * #10098439: Umstellung des Anbieters auf OpenIT	

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 02 Mar 2010 11:35:47 +0100

sms-perl (0.4) etch; urgency=low

  * #10051548: SMS-Gateway: Jetzt werden alle Zeichen, die ein Handy, anzeigen
    kann unterstützt

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 14 Sep 2009 19:59:37 +0200

sms-perl (0.3.0-3) etch; urgency=low

  * Test Parameter wird jetzt offiziel unterstützt.
  * Debug gibt zusätzliche Meldungen aus und verschickt die SM(s)
  * Siehe #10024078 für Details

 -- Stelios Gikas <stelios.gikas@noris.net>  Tue, 09 Jun 2009 16:39:03 +0200

sms-perl (0.3.0-2) etch; urgency=low

  * Vermeidung von Warnungen für pp()-Redefine bei Fehlermeldungen

 -- Martin H. Sluka <fany@noris.net>  Wed, 13 May 2009 19:52:12 +0200

sms-perl (0.3.0-1) etch; urgency=low

  * Nachricht wird vom Betreiber aufgesplittet
  * Anzahl der tatsaechlich Versandten SMS wird korrekt berechnet, selbst wenn
    End2End die SMS aufsplittet, und per Rückgabewert geliefert.
  * Parameter autosplit deprecated

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 29 Apr 2009 10:15:45 +0200

sms-perl (0.2.1-5.1) lenny; urgency=low

  * lenny statt stable 

 -- Katharina Drexel <katharina.drexel@noris.de>  Thu, 16 Apr 2009 15:40:06 +0200

sms-perl (0.2.1-5) stable; urgency=low

  * Rebuilt for etch.
    - Bumped COMPAT-level and debhelper-version.

 -- Hardy Kestin <hardy@noris.net>  Wed, 11 Jul 2007 11:00:23 +0200

sms-perl (0.2.1-4) stable; urgency=low

  * reverted to sarge.

 -- Hardy Kestin <hardy@noris.net>  Fri, 14 Oct 2005 17:05:08 +0200

sms-perl (0.2.1-3) oldstable; urgency=high

  * New Upstream Release by Martin H. Sluka.
    - see RT#230214 for details

 -- Hardy Kestin <hardy@noris.net>  Fri, 14 Oct 2005 17:03:14 +0200

sms-perl (0.2.1-2) stable; urgency=low

  * Changed dist, arch, Section.

 -- Hardy Kestin <hardy@noris.net>  Tue, 21 Jun 2005 17:57:00 +0200

sms-perl (0.2.1-1) unstable; urgency=high

  * New Upstream Release by Martin H. Sluka.
    - Split long SMs and transmit them separately to Brodos.
      Fixes accounting issues.

 -- Hardy Kestin <hardy@noris.net>  Fri, 20 Aug 2004 15:57:00 +0200

sms-perl (0.2-2) unstable; urgency=high

  * Minor dependency-fix.

 -- Hardy Kestin <hardy@noris.net>  Tue, 27 May 2004 17:29:00 +0200

sms-perl (0.2-1) unstable; urgency=high

  * Splitted frontend and backend because we need the same backend
    for txt2sms too. This is the backend-part from now.

 -- Hardy Kestin <hardy@noris.net>  Tue, 27 May 2004 17:29:00 +0200

mail2sms (0.1-2) unstable; urgency=low

  * Added dependency to libwww-perl (RT# 153077-12).
  * Ooops, forgot marking /etc/mail2sms/sms-c.conf as configfile.
  * Removed dir /var/log/mail2sms/. It was unused.

 -- Hardy Kestin <hardy@noris.net>  Mon, 17 May 2004 09:29:00 +0200

mail2sms (0.1-1) unstable; urgency=low

  * Initial Release.

 -- Hardy Kestin <hardy@noris.net>  Thu, 13 May 2004 15:03:41 +0200

=== debian/control ===
Source: sms-perl
Section: noris/server
Priority: optional
Maintainer: Hardy Kestin <hardy@noris.net>
Build-Depends: debhelper (>> 5), perl-doc
Standards-Version: 3.7.2

Package: sms-perl
Architecture: all
Depends: ${shlibs:Depends}, perl-modules, libcrypt-ssleay-perl, libwww-perl, libdata-dump-perl
Description: Interface Module for sending SMS
 This proprietary software  works only for noris network and
 End2End->SMS-Gateway. It uses https to push sms.

## sms-perl 7.11

=== debian/changelog ===
sms-perl (7.11) wheeze; urgency=low

  * postinstall fragt nicht mehr interaktiv, ob eine /etc/sms-perl/sms.conf angelegt werden soll.

 -- Klaus Franken <klaus.franken@noris.de>  Wed, 23 Dec 2015 17:01:41 +0100

sms-perl (7.10) wheezy; urgency=low

  * #20773074: Setze Praefix "-/" wenn kein Kunde definiert

 -- Klaus Franken <klaus.franken@noris.de>  Mon, 20 Apr 2015 10:53:57 +0200

sms-perl (7.9) wheezy; urgency=low

  * #20748542: Berechnung Multi-SMs auf OpenIT-Doku angepasst

 -- Martin H. Sluka <fany@noris.de>  Mon, 02 Mar 2015 14:41:54 +0100

sms-perl (7.8) wheezy; urgency=low

  * #20666705: Fix documentation, variable names, copy&pastos

 -- Moritz Lenz <mlenz@noris.net>  Mon, 16 Feb 2015 11:18:59 +0100

sms-perl (7.7) wheezy; urgency=low

  * von apt-intern nach apt umgezogen

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 15 Jan 2014 13:15:36 +0100

sms-perl (7.6) wheezy; urgency=low

  * config Verzeichniss angepasst

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 16 Sep 2013 13:57:13 +0200

sms-perl (7.5) wheezy; urgency=low

  * config Verzeichniss anlegen, wenn nicht vorhanden

 -- Stelios Gikas <stelios.gikas@noris.net>  Fri, 13 Sep 2013 18:40:26 +0200

sms-perl (7.4) wheezy; urgency=low

  * #14700910: Passwort aus Config-Datei lesen
  * #14700910: Config-Datei bein Installation generieren

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 22 Jul 2013 10:32:14 +0200

sms-perl (7.3) squeeze; urgency=low

  * Versionsnummern-Foo

 -- Stefan Pfab <spfab@noris.de>  Thu, 18 Jul 2013 14:51:55 +0200

sms-perl (7.1+nmu2) squeeze; urgency=low

  * wieder ein Build für squeeze.

 -- Stefan Pfab <spfab@noris.de>  Thu, 18 Jul 2013 14:50:01 +0200

sms-perl (7.1+nmu1) wheezy; urgency=low

  * #14699522: Unterstützung von registered_delivery, per Default an

 --  <fany@noris.net>  Thu, 18 Jul 2013 13:51:05 +0200

sms-perl (7.1) wheezy; urgency=low

  * #14690613: FQDN als „project“ übermitteln

 -- Martin H. Sluka <fany@noris.net>  Fri, 12 Jul 2013 17:04:04 +0200

sms-perl (7.0) squeeze; urgency=low

  * #14384530: Versions-bump

 -- Moritz Lenz <mlenz@noris.net>  Thu, 02 May 2013 11:56:18 +0200

sms-perl (0.6.3) lenny; urgency=low

  * Umkodierung von orig/Absender (#12855184)

 -- Moritz Lenz <mlenz@noris.net>  Thu, 11 Oct 2011 10:59:27 +0100

sms-perl (0.6.2) lenny; urgency=low

  *  Nagios Perl Interpreter zickt rum mit __END__

 -- Stelios Gikas <stelios.gikas@noris.net>  Thu, 01 Dec 2011 12:27:19 +0100

sms-perl (0.6.1) lenny; urgency=low

  * Version zum installieren

 -- Stelios Gikas <stelios.gikas@noris.net>  Wed, 02 Nov 2011 17:36:24 +0100

sms-perl (0.6.0) lenny; urgency=low

  * Ans das neue mail2-Backend angepasst

 -- Stelios Gikas <stelios.gikas@noris.net>  Mon, 31 Oct 2011 15:55:10 +0100

sms-perl (0.5.3) lenny; urgency=low

  * Moved to noris-intern section (#598003)

 -- Stefan Steiner <ssteiner@jack.office.noris.de>  Thu, 28 Oct 2010 14:25:43 +0200

## sms-perl 7.12

=== debian/changelog ===
sms-perl (7.12) wheezy; urgency=low

  * 2. Versuch: es gab schon eine Version 7.11
  * postinstall fragt nicht mehr interaktiv, ob eine /etc/sms-perl/sms.conf angelegt werden soll.

 -- Klaus Franken <klaus.franken@noris.de>  Wed, 23 Dec 2015 17:27:43 +0100

## sms-perl 7.13

=== debian/changelog ===
sms-perl (7.13) jessie; urgency=low

  * rebuild for jessie
  * postinstall fragt nicht mehr interaktiv, ob eine /etc/sms-perl/sms.conf angelegt werden soll.

 -- Klaus Franken <klaus.franken@noris.de>  Wed, 23 Dec 2015 17:27:43 +0100

sms-perl (7.12) jessie; urgency=low

  * rebuild fpr jessie
  * postinstall fragt nicht mehr interaktiv, ob eine /etc/sms-perl/sms.conf angelegt werden soll.

 -- Klaus Franken <klaus.franken@noris.de>  Wed, 23 Dec 2015 17:27:43 +0100

=== debian/control ===
Source: sms-perl
Section: noris/server
Priority: optional
Maintainer: Team Entwicklung <entwicklung-d@noris.de>
Build-Depends: debhelper (>> 5), perl-doc
Standards-Version: 3.7.2

Package: sms-perl
Architecture: all
Depends: ${shlibs:Depends}, perl-modules, libcrypt-ssleay-perl, libwww-perl, libdata-dump-perl, libconfig-ini-perl
Description: Interface Module for sending SMS
 This proprietary software  works only for noris network and
 End2End->SMS-Gateway. It uses https to push sms.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
#export DH_COMPAT=3



build: build-stamp

build-stamp:
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/sms-perl.sgml > sms-perl.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/sms-perl.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sms-perl


# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
#	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
